Subject: Re: Errors during setup post-install scripts
From: "David A. Cobb" <[email-masked]>
To: [email-masked], [email-masked]
Date: Wed, 16 Oct 2002 09:58:42 -0400

Igor Pechtchanski wrote:

>On 16 Oct 2002, Robert Collins wrote:
>
>  
>
>>On Wed, 2002-10-16 at 09:11, Max Bowsher wrote:
>>    
>>
>>>David A. Cobb wrote:
>>>      
>>>
>>>>Would it be a big deal to have the various setup scripts send their
>>>>output to, say, /var/log/setup/SCRIPTNAME.log?
>>>>        
>>>>
>>>Probably not, but someone has to actually do it.
>>>      
>>>
>>It's been discussed in the cygwin-apps list, at length.
>>    
>>
>
>I'm looking into a simple-minded way to do this, and this raised at least
>one question: do we actually need the output of the post-install scripts
>flashing in front of our eyes?  
>
IMO, no - the screen displays generally flash past too fast to be read 
anyway.  Just log it!

>If not, I can just redirect it to a file,
>say, /var/log/setup.log.postinstall (there's probably no need for a
>separate file per script).
>
Well, it needs to be fairly simple to tell which script failed - if any.

>  If we actually want the console windows, it'll
>take some more doing, probably a separate console tee-like application.
>	Igor
>  
>

-- 
David A. Cobb, Software Engineer, Public Access Advocate
"By God's Grace I am a Christian man, by my actions a great sinner." -- The Way of a Pilgrim; R. M. French, tr.
Life is too short to tolerate crappy software.
.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/